Bug 215897 - Postinstall fails / undefined symbols
Summary: Postinstall fails / undefined symbols
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk2   
(Show other bugs)
Version: 6
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-16 09:51 UTC by Ralf Kleineisel
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-26 19:23:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ralf Kleineisel 2006-11-16 09:51:56 UTC
Description of problem:

When trying to install gtk2 I get this error:

# rpm -ihv gtk2-2.10.4-4.fc6.i386.rpm
Preparing...                ########################################### [100%]
   1:gtk2                   ########################################### [100%]
g_module_open() failed 
for /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-ani.so: /usr/lib/gtk-2.0/2.10.0/load    
xbufloader-ani.so: undefined symbol: g_intern_static_string
g_module_open() failed 
for /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-gif.so: /usr/lib/gtk-2.0/2.10.0/load    
xbufloader-gif.so: undefined symbol: g_intern_static_string
/usr/bin/gtk-query-immodules-2.0-32: symbol lookup 
error: /usr/lib/libgtk-x11-2.0.so.0: undefined symbol: g_has    ef
error: %post(gtk2-2.10.4-4.fc6.i386) scriptlet failed, exit status 127

Other programs using gtk2 produce the same error afterwards:
$thunderbird -help                                                                  /usr/lib/thunderbird-1.5.0.7/thunderbird-bin: 
symbol lookup error: /usr/lib/libgtk-x11-2.0.so.0: undefined symbol: 
g_hash_table_ref


Version-Release number of selected component (if applicable):
2.10.4-4

How reproducible:
Every time.

Steps to Reproduce:
1. Install gtk2 rpm via shell command
2.
3.
  
Actual results:
Error message

Expected results:


Additional info:

Comment 1 Matthias Clasen 2006-11-16 23:24:35 UTC
you don't have a sufficiently new glib2 installed, it seems. 

Comment 2 Ralf Kleineisel 2006-11-17 09:01:31 UTC
The installed glib2 is glib2-2.12.3-2.fc6. I'm not aware of a newer one.

Comment 3 Matthias Clasen 2006-11-17 16:54:57 UTC
yes, glib 2.12.3 has all the symbols that are being missed above.
Is there any other version of glib installed on your system ?

Comment 4 Ralf Kleineisel 2006-12-02 07:30:27 UTC
Sorry, I needed that computer urgently so I made a clean install of FC6. The
problem no longer persists. I can't give you more info.

Comment 5 Matthias Clasen 2007-02-26 19:23:34 UTC
Closing this then, since no dupes have appeared.


Note You need to log in before you can comment on or make changes to this bug.